Bug 109593

Summary: [CI][SHARDS] igt@* - dmesg-warn / dmesg-fail - *ERROR* mismatch in pixel_rate, *ERROR* mismatch in base.adjusted_mode.crtc_clock
Product: DRI Reporter: Lakshmi <lakshminarayana.vudum>
Component: DRM/IntelAssignee: Intel GFX Bugs mailing list <intel-gfx-bugs>
Status: REOPENED --- QA Contact: Intel GFX Bugs mailing list <intel-gfx-bugs>
Severity: normal    
Priority: high CC: anusha.srivatsa, intel-gfx-bugs, jani.nikula, jani.saarinen, vandita.kulkarni
Version: DRI gitKeywords: regression
Hardware: Other   
OS: All   
Whiteboard: Triaged, ReadyForDev
i915 platform: ICL i915 features: display/DRRS

Description Lakshmi 2019-02-08 19:30:02 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5567/shard-iclb1/igt@kms_fbcon_fbt@fbc.html

<3> [757.793367] [drm:pipe_config_err [i915]] *ERROR* mismatch in pixel_rate (expected 138780, found 92519)
<3> [757.793507] [drm:pipe_config_err [i915]] *ERROR* mismatch in base.adjusted_mode.crtc_clock (expected 138780, found 92519)
<4> [757.793586] WARNING: CPU: 3 PID: 2205 at drivers/gpu/drm/i915/intel_display.c:12495 intel_atomic_commit_tail+0xe48/0xeb0 [i915]
<4> [757.793639] RIP: 0010:intel_atomic_commit_tail+0xe48/0xeb0 [i915]
<4> [757.793705]  intel_atomic_commit+0x244/0x330 [i915]
<4> [757.793740]  intel_psr_fastset_force+0x11e/0x130 [i915]
<4> [757.793773]  i915_edp_psr_debug_set+0x46/0x70 [i915]
<4> [757.793935] WARNING: CPU: 3 PID: 2205 at drivers/gpu/drm/i915/intel_display.c:12495 intel_atomic_commit_tail+0xe48/0xeb0 [i915]
Comment 1 CI Bug Log 2019-02-08 19:33:35 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL:  igt@kms_fbcon_fbt@fbc - dmesg-warn - *ERROR* mismatch in pixel_rate, *ERROR* mismatch in base.adjusted_mode.crtc_clock
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5567/shard-iclb1/igt@kms_fbcon_fbt@fbc.html

* ICL: igt@runner@aborted - Fail - Previous test: kms_fbcon_fbt (fbc)
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5567/shard-iclb1/igt@runner@aborted.html
Comment 2 Ville Syrjala 2019-02-08 19:37:22 UTC
Looks like a drrs vs. readout fail.
Comment 3 CI Bug Log 2019-03-26 09:27:17 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@runner@aborted - fail - Previous test: nothing
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5809/shard-iclb1/igt@runner@aborted.html
Comment 4 CI Bug Log 2019-03-26 09:28:21 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@runner@aborted - fail - Previous test: nothing -}
{+ shard-iclb1: igt@runner@aborted - fail - Previous test: nothing +}

 No new failures caught with the new filter
Comment 5 CI Bug Log 2019-03-26 09:37:42 UTC
A CI Bug Log filter associated to this bug has been updated:

{- shard-iclb1: igt@runner@aborted - fail - Previous test: nothing -}
{+ shard-iclb1 fi-icl-dsi: igt@runner@aborted - fail - Previous test: nothing *ERROR* mismatch in base.adjusted_mode.crtc_hdisplay, *ERROR* mismatch in pixel_rate +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5812/fi-icl-dsi/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4903/fi-icl-dsi/igt@runner@aborted.html
Comment 6 CI Bug Log 2019-03-26 09:40:11 UTC
A CI Bug Log filter associated to this bug has been updated:

{- shard-iclb1 fi-icl-dsi: igt@runner@aborted - fail - Previous test: nothing *ERROR* mismatch in base.adjusted_mode.crtc_hdisplay, *ERROR* mismatch in pixel_rate -}
{+ shard-iclb1 fi-icl-dsi: igt@runner@aborted - fail - Previous test: nothing *ERROR* mismatch in base.adjusted_mode.crtc*, *ERROR* mismatch in pixel_rate +}

 No new failures caught with the new filter
Comment 7 Lakshmi 2019-04-05 05:56:17 UTC
Assuming this is a regression, priority is set to highest.
There is a similar bug report from community Bug 110308.
Comment 8 Jani Saarinen 2019-04-09 11:31:18 UTC
There is fix from Vandita: https://patchwork.freedesktop.org/series/59184/ this now in trybot still.
Comment 9 Jani Saarinen 2019-04-09 11:51:26 UTC
Also Imre's fix needed on ICL-DSI. https://patchwork.freedesktop.org/series/59071/
Comment 10 Martin Peres 2019-04-09 11:54:56 UTC
The bug is ICL-specific, and this feature is a power optimisation. We need to understand if this failure is indicating a possible black screen.

Until it is better understood, the user impact is deemed highest. The fixes should however be landing soon, which would make the exercise useless.

Let's wait for https://patchwork.freedesktop.org/series/59184/'s results to understand better :)

See you tomorrow!
Comment 11 Jani Saarinen 2019-04-23 11:30:57 UTC
Vandita, any updates here, ETA?
Comment 12 Arek Hiler 2019-04-23 11:31:47 UTC
It seems like the series linked by Martin helps, at least a little bit. We have got a total of 3 runs (2 of which are reruns) and on all of them we have progressed past the boot stage without TAINTS! There are also no regressions on other platforms.

OTOH icl-dsi is either incompleting or straight up missing most of the results, but that may be just general falkeiness of the machine that we had no means of experiencing earlier, due the the taints :-)

I would say it is worth merging the fix (assuming it goes through the review) and see were it gets us.
Comment 13 Jani Saarinen 2019-05-15 05:38:01 UTC
Series from Vandita were merged on drm-tip fixing icl-dsi.
Comment 14 Jani Saarinen 2019-05-15 05:42:48 UTC
Resolving now.
Comment 15 CI Bug Log 2019-06-11 12:57:49 UTC
A CI Bug Log filter associated to this bug has been updated:

{- shard-iclb1 fi-icl-dsi: igt@runner@aborted - fail - Previous test: nothing *ERROR* mismatch in base.adjusted_mode.crtc*, *ERROR* mismatch in pixel_rate -}
{+ shard-iclb1 fi-icl-dsi: igt@runner@aborted - fail - Previous test: nothing +}


  No new failures caught with the new filter
Comment 16 CI Bug Log 2019-06-11 13:00:26 UTC
A CI Bug Log filter associated to this bug has been updated:

{- shard-iclb1 fi-icl-dsi: igt@runner@aborted - fail - Previous test: nothing -}
{+ fi-icl-dsi: igt@runner@aborted - fail - Previous test: nothing +}


  No new failures caught with the new filter
Comment 17 CI Bug Log 2019-06-11 13:02:42 UTC
The CI Bug Log issue associated to this bug has been updated.

### Removed filters

* ICL:  igt@kms_fbcon_fbt@fbc - dmesg-warn - *ERROR* mismatch in pixel_rate, *ERROR* mismatch in base.adjusted_mode.crtc_clock (added on 4 months ago)
* ICL: igt@runner@aborted - Fail - Previous test: kms_fbcon_fbt (fbc) (added on 4 months ago)

### New filters associated

* shard-iclb1: igt@kms_hdmi_inject@inject-audio - dmesg-fail - *ERROR* mismatch in pixel_rate
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5050/shard-iclb1/igt@kms_hdmi_inject@inject-audio.html
Comment 18 Martin Peres 2019-06-11 13:04:34 UTC
(In reply to Jani Saarinen from comment #14)
> Resolving now.

Still happening quite often on drmtip runs for icl-y, and also seen once on shard-iclb1. So not all the problems are fixed!
Comment 20 anusha 2019-06-25 18:25:47 UTC
Been seeing this on ICL for a while. Last I heard it was supposed to get fixed with the latest BIOS. Are we expected to get a newer BIOS?
Comment 21 James Ausmus 2019-07-11 19:01:07 UTC
This has not been seen in 292 runs, while previously it was reproducing *every* run. Resolving as fixed
Comment 22 CI Bug Log 2019-07-31 11:26:30 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@kms_hdmi_inject@inject-audio - dmesg-fail - *ERROR* mismatch in pixel_rate -}
{+ ICL: igt@kms_hdmi_inject@inject-audio - dmesg-fail/dmesg-warn- *ERROR* mismatch in pixel_rate +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5116/shard-iclb4/igt@kms_hdmi_inject@inject-audio.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6584/shard-iclb7/igt@kms_hdmi_inject@inject-audio.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6585/shard-iclb3/igt@kms_hdmi_inject@inject-audio.html
Comment 23 Lakshmi 2019-07-31 11:28:36 UTC
(In reply to CI Bug Log from comment #22)
> A CI Bug Log filter associated to this bug has been updated:
> 
> {- ICL: igt@kms_hdmi_inject@inject-audio - dmesg-fail - *ERROR* mismatch in
> pixel_rate -}
> {+ ICL: igt@kms_hdmi_inject@inject-audio - dmesg-fail/dmesg-warn- *ERROR*
> mismatch in pixel_rate +}
> 
> New failures caught by the filter:
> 
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5116/shard-iclb4/
> igt@kms_hdmi_inject@inject-audio.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6584/shard-iclb7/
> igt@kms_hdmi_inject@inject-audio.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6585/shard-iclb3/
> igt@kms_hdmi_inject@inject-audio.html

Seen again on ICL. Reopening this issue.
@Vandita/Anusha any comments?

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.